###################################################
### chunk number 1: lib
###################################################
#line 150 "NCIgraph.Rnw"
library(NCIgraph)


###################################################
### chunk number 2: data
###################################################
#line 159 "NCIgraph.Rnw"
data("NCIgraphVignette", package="NCIgraph")


###################################################
### chunk number 3: data
###################################################
#line 167 "NCIgraph.Rnw"
grList <- getNCIPathways(cyList=NCI.demo.cyList, parseNetworks=TRUE, entrezOnly=TRUE, verbose=TRUE)$pList


###################################################
### chunk number 4: lib2
###################################################
#line 185 "NCIgraph.Rnw"
library('Rgraphviz')


###################################################
### chunk number 5: plotRaw
###################################################
#line 191 "NCIgraph.Rnw"
graph <- NCI.demo.cyList[[1]]
gNames <- unlist(lapply(graph@nodeData@data,FUN=function(e) e$biopax.name))
names(gNames) <- nodes(graph)
graph <- layoutGraph(graph)
nodeRenderInfo(graph) <- list(label=gNames, cex=0.75)
renderGraph(graph)  


###################################################
### chunk number 6: plotParsed
###################################################
#line 200 "NCIgraph.Rnw"
graph <- grList[[1]]
gNames <- unlist(lapply(graph@nodeData@data,FUN=function(e) unique(e$biopax.xref.ENTREZGENE)))
names(gNames) <- nodes(graph)
graph <- layoutGraph(graph)
nodeRenderInfo(graph) <- list(label=gNames, cex=0.75)
renderGraph(graph)  


###################################################
### chunk number 7: rawGraph
###################################################
#line 211 "NCIgraph.Rnw"
#line 191 "NCIgraph.Rnw"
graph <- NCI.demo.cyList[[1]]
gNames <- unlist(lapply(graph@nodeData@data,FUN=function(e) e$biopax.name))
names(gNames) <- nodes(graph)
graph <- layoutGraph(graph)
nodeRenderInfo(graph) <- list(label=gNames, cex=0.75)
renderGraph(graph)  
#line 212 "NCIgraph.Rnw"


###################################################
### chunk number 8: parsedGraph
###################################################
#line 221 "NCIgraph.Rnw"
#line 200 "NCIgraph.Rnw"
graph <- grList[[1]]
gNames <- unlist(lapply(graph@nodeData@data,FUN=function(e) unique(e$biopax.xref.ENTREZGENE)))
names(gNames) <- nodes(graph)
graph <- layoutGraph(graph)
nodeRenderInfo(graph) <- list(label=gNames, cex=0.75)
renderGraph(graph)  
#line 222 "NCIgraph.Rnw"


